Bug 5159 - XSetPointerMapping-3 failed on xorg/xvfb
XSetPointerMapping-3 failed on xorg/xvfb
Status: RESOLVED FIXED
Product: xorg
Classification: Unclassified
Component: Server/General
git
x86 (IA32) Linux (All)
: high normal
Assigned To: Xorg Project Team
Xorg Project Team
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2005-11-25 20:19 UTC by Rui Feng
Modified: 2009-10-12 22:18 UTC (History)
3 users (show)

See Also:
i915 platform:
i915 features:


Attachments
Proposed patch. (763 bytes, patch)
2005-11-25 20:21 UTC, Rui Feng
no flags Details | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Rui Feng 2005-11-25 20:19:08 UTC
XSetPointerMapping-3 failed on xorg/xvfb when running the xts5 test suites:

ftp://ftp.freestandards.org/pub/lsb/test_suites/beta/binary/runtime/lsb-test-xts5-5.1.5-RC1.lsb3.i486.rpm

The problems seems to be in xc/programs/Xserver/dix/events.c. When XFree86Server
and XINPUT are both defined, it will ignore the value
of butc->map[key].
Comment 1 Rui Feng 2005-11-25 20:20:16 UTC
journal files generated by the case.

10|525 /tset/Xlib13/stpntrmppn/Test 03:01:50|TC Start, scenario ref 1064-0
15|525 3.6-lite 7|TCM Start

400|525 3 1 03:01:51|IC Start
200|525 3 03:01:51|TP Start
520|525 3 00020084 1 1|VSW5TESTSUITE PURPOSE 3
520|525 3 00020084 1 2|Assertion XSetPointerMapping-3.(B)
520|525 3 00020084 1 3|When an element of map is zero, then the corresponding
520|525 3 00020084 1 4|physical button is disabled.
520|525 3 00020084 1 5|Reason for omission: There is no known reliable test
method for this assertion
520|525 3 00020084 1 6|METH: If extension available: 
520|525 3 00020084 1 7|METH:   Create and map a window.
520|525 3 00020084 1 8|METH:   Select ButtonPress on it.
520|525 3 00020084 1 9|METH:   For i in 1..numbuttons
520|525 3 00020084 1 10|METH:     Set map[i-1] to 0.
520|525 3 00020084 1 11|METH:     Call XSetPointerMapping.
520|525 3 00020084 1 12|METH:     Discard event queue.
520|525 3 00020084 1 13|METH:     Simulate button i press with extension.
520|525 3 00020084 1 14|METH:     Release all buttons etc.
520|525 3 00020084 1 15|METH:     Check no button press event received.
520|525 3 00020084 1 16|METH:     Restore map[i-1].
520|525 3 00020084 1 17|METH: else
520|525 3 00020084 1 18|METH:   Report untested.
520|525 3 00020084 1 19|CHECK: XSetPointerMapping-3  1, line 352
520|525 3 00020084 1 20|CHECK: XSetPointerMapping-3  2, line 358
520|525 3 00020084 1 21|TRACE: --- Running test with visual class TrueColor,
depth 16
520|525 3 00020084 1 22|CHECK: XSetPointerMapping-3  3, line 387
520|525 3 00020084 1 23|CHECK: XSetPointerMapping-3  4, line 398
520|525 3 00020084 1 24|REPORT: Got event after pressing disabled button 1.
520|525 3 00020084 1 25|CHECK: XSetPointerMapping-3  5, line 387
520|525 3 00020084 1 26|CHECK: XSetPointerMapping-3  6, line 398
520|525 3 00020084 1 27|REPORT: Got event after pressing disabled button 2.
520|525 3 00020084 1 28|CHECK: XSetPointerMapping-3  7, line 387
520|525 3 00020084 1 29|CHECK: XSetPointerMapping-3  8, line 398
520|525 3 00020084 1 30|REPORT: Got event after pressing disabled button 3.
220|525 3 1 03:01:51|FAIL
410|525 3 1 03:01:51|IC End
Comment 2 Rui Feng 2005-11-25 20:21:17 UTC
Created attachment 3901 [details] [review]
Proposed patch.
Comment 3 Daniel Stone 2007-02-27 01:28:52 UTC
Sorry about the phenomenal bug spam, guys.  Adding xorg-team@ to the QA contact so bugs don't get lost in future.
Comment 4 Peter Hutterer 2009-10-12 22:18:36 UTC
Bug from the dawn of time. Closing as FIXED simply because this combination (XINPUT undefined) cannot happen anymore since XINPUT is mandatory now.

Aside from that, pointer mapping now seems to work fine.